Simple Question

Discussion in 'iPad Hacking' started by rickyricardo, Aug 24, 2011.

  1. rickyricardo
    Offline

    rickyricardo iPF Novice

    Joined:
    Apr 7, 2011
    Messages:
    74
    Thanks Received:
    4
    Trophy Points:
    8
    Location:
    New England, USA
    Ratings:
    +4 / 0
    Been doing my research on jailbreaking and have decided it is something Iwant to do when and if it is ever possible again on my ipad 2.

    Here is the question, right now I have 4.4, waiting for iOS 5. How will it happen, if it does happen............. iOS 5 is released and then within weeks someone announces a way to jailbreak????? Do I refrain from upgrading to iOS 5 when it first comes out if I want to jailbreak iOS 5 ? In other words if there is a jailbreak for iOS 5 do you have to do something before upgrading? Or do you just upgrade and then jailbreak. Know what I mean??????????
  2. f4780y
    Offline

    f4780y Super Moderator Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,106
    Thanks Received:
    635
    Trophy Points:
    113
    Location:
    Troon, Scotland
    Ratings:
    +635 / 0
    It's basically impossible to say, other than I doubt very much there will be an announcement in a couple of week of the IOS5 release. The 4.3.3 JB for iPad2 took many months of work..., but bottom line is nobody knows and there is little point speculating...

    As regards what you should do, that is a tough call as well :)

    One school of thought is that you should stay on 4.3.5 as there is a chance, however slim, that an exploit could be found. My personal opinion is this is highly unlikely given that 4.3.4 and 4.3.5 are basically end of line for that version of IOS and nobody is working on exploiting them...

    Next, you could consider going to IOS5 as soon as the GM is released, but do not go for any point release upgrades which get released. This was the advice for 4.x on iPad2 and to some degree it worked out... Those with 4.3 got the JB first (albeit leaked), but it was not until very close to the release of the JB that Comex announced everyone should move to 4.3.3 (which was the latest at the time).This tactic is the one I personally would favour. Install 5.0 when released, but avoid any updates until you get official confirmation from the JB community that you should upgrade to another version.
    This approach is even more compelling for IOS5 since the way SHSH Blobs have been updated mean that saved blobs are useless, so you will have NO WAY to downgrade your IOS to older 5.x versions once you upgrade.

    Finally, you could just take the chance that the JB will target Apples latest version and stay up to date. On 4.x this was not a big risk if you were saving your blobs, but on 5.x it will be a huge risk and you would kick yourself if you missed the chance of a JB because of accepting a minor IOS update with no ability to downgrade...

    So, my advice is go to the first public IOS 5.0 release and stay there to give yourself the best chance of a 5.x jailbreak, and stay tuned to the forums so you will know if the advice changes...

    Hope that helps :D
  3. rickyricardo
    Offline

    rickyricardo iPF Novice

    Joined:
    Apr 7, 2011
    Messages:
    74
    Thanks Received:
    4
    Trophy Points:
    8
    Location:
    New England, USA
    Ratings:
    +4 / 0
    Wow, that was a very informative answer. Thank you very much for taking the time to explain this, I really appreciate it. You gave me all the missing pieces to the puzzle of understanding this whole jailbreaking thing.

    For sure I will take your advice and not update any further than 5.x, but at the same time I am almost tempted to hold out a while on 4.3.4. even after iOS 5 release just in case someone jailbreaks 4.3.5. (hmmmm, guess i dont understand it as well as i thought i did, just as i was typing this i realized that after the release of iOS 5 there would be no way to get to 4.3.5 from 4.3.4 would there)

    Very tricky here, I guess there is no definate answer.
  4. Poser
    Offline

    Poser iPad Junkie

    Joined:
    Jul 2, 2011
    Messages:
    816
    Thanks Received:
    27
    Trophy Points:
    0
    Location:
    toronto
    Ratings:
    +27 / 0
    just use tiny umbrella and save your blobs right now, just in case, it wouldn't hurt to have it, cause you never know.
    just so you know, only 4.3.5 will be saved, not sure if 4.3.4 will be too(shouldn't).

    although i read about the upgrade to iOS 5 and can't downgrade with blobs, its left for me to be seen, with all the hackers(geniuses) behind this, plus its old and not new hardware. ahhhwhooiah!!!!!
  5. f4780y
    Offline

    f4780y Super Moderator Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,106
    Thanks Received:
    635
    Trophy Points:
    113
    Location:
    Troon, Scotland
    Ratings:
    +635 / 0
    We have lots of threads and stickies which cover this, so please try and search before posting, and remember don't hijack another users thread. Thanks.

    To answer your question, you are out of luck. Only 4.3.3 can be jailbroken and there is no way for you to install that version on your iPad2 now. It is impossible. You will just need to be patient and wait for IOS5.
  6. meomeo986
    Offline

    meomeo986 iPF Noob

    Joined:
    Apr 15, 2011
    Messages:
    6
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    Wow, thanks so much for your information, guess i have to wait till 4.3.4 or 4.3.5 got JB, or even iOS5.

    For the post, im really sorry bout that, i was kind of sleepy (and yeah lazy aswell) so i post it here. Was about to delete that intime of your post. Again, sorry for the post, i gonna be more careful from now on :)

Share This Page